/* This file is part of the libopencm3 project.
 *
 * It was generated by the irq2nvic_h script.
 *
 * This part needs to get included in the compilation unit where
 * blocking_handler gets defined due to the way #pragma works.
 */


/** @defgroup CM3_nvic_isrdecls_GD32F1x0 User interrupt service routines (ISR) defaults for GD32F1x0 Series
    @ingroup CM3_nvic_isrdecls

    @{*/

void wwdg_isr(void) __attribute__((weak, alias("blocking_handler")));
void pvd_isr(void) __attribute__((weak, alias("blocking_handler")));
void rtc_isr(void) __attribute__((weak, alias("blocking_handler")));
void flash_isr(void) __attribute__((weak, alias("blocking_handler")));
void rcc_isr(void) __attribute__((weak, alias("blocking_handler")));
void exti0_1_isr(void) __attribute__((weak, alias("blocking_handler")));
void exti2_3_isr(void) __attribute__((weak, alias("blocking_handler")));
void exti4_15_isr(void) __attribute__((weak, alias("blocking_handler")));
void tsc_isr(void) __attribute__((weak, alias("blocking_handler")));
void dma_channel1_isr(void) __attribute__((weak, alias("blocking_handler")));
void dma_channel2_3_isr(void) __attribute__((weak, alias("blocking_handler")));
void dma_channel4_5_isr(void) __attribute__((weak, alias("blocking_handler")));
void adc_comp_isr(void) __attribute__((weak, alias("blocking_handler")));
void tim1_brk_up_trg_com_isr(void) __attribute__((weak, alias("blocking_handler")));
void tim1_cc_isr(void) __attribute__((weak, alias("blocking_handler")));
void tim2_isr(void) __attribute__((weak, alias("blocking_handler")));
void tim3_isr(void) __attribute__((weak, alias("blocking_handler")));
void tim6_dac_isr(void) __attribute__((weak, alias("blocking_handler")));
void reserved0_isr(void) __attribute__((weak, alias("blocking_handler")));
void tim14_isr(void) __attribute__((weak, alias("blocking_handler")));
void tim15_isr(void) __attribute__((weak, alias("blocking_handler")));
void tim16_isr(void) __attribute__((weak, alias("blocking_handler")));
void tim17_isr(void) __attribute__((weak, alias("blocking_handler")));
void i2c1_ev_isr(void) __attribute__((weak, alias("blocking_handler")));
void i2c2_ev_isr(void) __attribute__((weak, alias("blocking_handler")));
void spi1_isr(void) __attribute__((weak, alias("blocking_handler")));
void spi2_isr(void) __attribute__((weak, alias("blocking_handler")));
void usart1_isr(void) __attribute__((weak, alias("blocking_handler")));
void usart2_isr(void) __attribute__((weak, alias("blocking_handler")));
void reserved1_isr(void) __attribute__((weak, alias("blocking_handler")));
void cec_can_isr(void) __attribute__((weak, alias("blocking_handler")));
void reserved2_isr(void) __attribute__((weak, alias("blocking_handler")));
void i2c1_er_isr(void) __attribute__((weak, alias("blocking_handler")));
void reserved3_isr(void) __attribute__((weak, alias("blocking_handler")));
void i2c2_er_isr(void) __attribute__((weak, alias("blocking_handler")));
void i2c3_ev_isr(void) __attribute__((weak, alias("blocking_handler")));
void i2c3_er_isr(void) __attribute__((weak, alias("blocking_handler")));
void usb_lp_isr(void) __attribute__((weak, alias("blocking_handler")));
void usb_hp_isr(void) __attribute__((weak, alias("blocking_handler")));
void reserved4_isr(void) __attribute__((weak, alias("blocking_handler")));
void reserved5_isr(void) __attribute__((weak, alias("blocking_handler")));
void reserved6_isr(void) __attribute__((weak, alias("blocking_handler")));
void usb_wakeup_isr(void) __attribute__((weak, alias("blocking_handler")));
void reserved7_isr(void) __attribute__((weak, alias("blocking_handler")));
void reserved8_isr(void) __attribute__((weak, alias("blocking_handler")));
void reserved9_isr(void) __attribute__((weak, alias("blocking_handler")));
void reserved10_isr(void) __attribute__((weak, alias("blocking_handler")));
void reserved11_isr(void) __attribute__((weak, alias("blocking_handler")));
void dma_channel6_7_isr(void) __attribute__((weak, alias("blocking_handler")));
void reserved12_isr(void) __attribute__((weak, alias("blocking_handler")));
void reserved13_isr(void) __attribute__((weak, alias("blocking_handler")));
void spi3_isr(void) __attribute__((weak, alias("blocking_handler")));

/**@}*/

/* Initialization template for the interrupt vector table. This definition is
 * used by the startup code generator (vector.c) to set the initial values for
 * the interrupt handling routines to the chip family specific _isr weak
 * symbols. */

#define IRQ_HANDLERS \
    [NVIC_WWDG_IRQ] = wwdg_isr, \
    [NVIC_PVD_IRQ] = pvd_isr, \
    [NVIC_RTC_IRQ] = rtc_isr, \
    [NVIC_FLASH_IRQ] = flash_isr, \
    [NVIC_RCC_IRQ] = rcc_isr, \
    [NVIC_EXTI0_1_IRQ] = exti0_1_isr, \
    [NVIC_EXTI2_3_IRQ] = exti2_3_isr, \
    [NVIC_EXTI4_15_IRQ] = exti4_15_isr, \
    [NVIC_TSC_IRQ] = tsc_isr, \
    [NVIC_DMA_CHANNEL1_IRQ] = dma_channel1_isr, \
    [NVIC_DMA_CHANNEL2_3_IRQ] = dma_channel2_3_isr, \
    [NVIC_DMA_CHANNEL4_5_IRQ] = dma_channel4_5_isr, \
    [NVIC_ADC_COMP_IRQ] = adc_comp_isr, \
    [NVIC_TIM1_BRK_UP_TRG_COM_IRQ] = tim1_brk_up_trg_com_isr, \
    [NVIC_TIM1_CC_IRQ] = tim1_cc_isr, \
    [NVIC_TIM2_IRQ] = tim2_isr, \
    [NVIC_TIM3_IRQ] = tim3_isr, \
    [NVIC_TIM6_DAC_IRQ] = tim6_dac_isr, \
    [NVIC_RESERVED0_IRQ] = reserved0_isr, \
    [NVIC_TIM14_IRQ] = tim14_isr, \
    [NVIC_TIM15_IRQ] = tim15_isr, \
    [NVIC_TIM16_IRQ] = tim16_isr, \
    [NVIC_TIM17_IRQ] = tim17_isr, \
    [NVIC_I2C1_EV_IRQ] = i2c1_ev_isr, \
    [NVIC_I2C2_EV_IRQ] = i2c2_ev_isr, \
    [NVIC_SPI1_IRQ] = spi1_isr, \
    [NVIC_SPI2_IRQ] = spi2_isr, \
    [NVIC_USART1_IRQ] = usart1_isr, \
    [NVIC_USART2_IRQ] = usart2_isr, \
    [NVIC_RESERVED1_IRQ] = reserved1_isr, \
    [NVIC_CEC_CAN_IRQ] = cec_can_isr, \
    [NVIC_RESERVED2_IRQ] = reserved2_isr, \
    [NVIC_I2C1_ER_IRQ] = i2c1_er_isr, \
    [NVIC_RESERVED3_IRQ] = reserved3_isr, \
    [NVIC_I2C2_ER_IRQ] = i2c2_er_isr, \
    [NVIC_I2C3_EV_IRQ] = i2c3_ev_isr, \
    [NVIC_I2C3_ER_IRQ] = i2c3_er_isr, \
    [NVIC_USB_LP_IRQ] = usb_lp_isr, \
    [NVIC_USB_HP_IRQ] = usb_hp_isr, \
    [NVIC_RESERVED4_IRQ] = reserved4_isr, \
    [NVIC_RESERVED5_IRQ] = reserved5_isr, \
    [NVIC_RESERVED6_IRQ] = reserved6_isr, \
    [NVIC_USB_WAKEUP_IRQ] = usb_wakeup_isr, \
    [NVIC_RESERVED7_IRQ] = reserved7_isr, \
    [NVIC_RESERVED8_IRQ] = reserved8_isr, \
    [NVIC_RESERVED9_IRQ] = reserved9_isr, \
    [NVIC_RESERVED10_IRQ] = reserved10_isr, \
    [NVIC_RESERVED11_IRQ] = reserved11_isr, \
    [NVIC_DMA_CHANNEL6_7_IRQ] = dma_channel6_7_isr, \
    [NVIC_RESERVED12_IRQ] = reserved12_isr, \
    [NVIC_RESERVED13_IRQ] = reserved13_isr, \
    [NVIC_SPI3_IRQ] = spi3_isr
